# $Revision: 1.32 $, $Date: 2008/07/27 22:32:06 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Date
%define		pnam	Tolkien-Shire
Summary:	Date::Tolkien::Shire - convert dates into the Shire Calendar
Summary(pl.UTF-8):	Date::Tolkien::Shire - konwersja dat do kalendarza Śródziemia
Name:		perl-Date-Tolkien-Shire
Version:	1.13
Release:	2
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ad5744d66f118305a0a09b52f3e24b27
URL:		http://search.cpan.org/dist/Date-Tolkien-Shire/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an object-oriented module to convert dates into the Shire
Calender as presented in the Lord of the Rings by J. R. R. Tolkien. It
includes converting epoch time to the Shire Calendar (you can also get
epoch time back), comparison operators, and a method to print a
formatted string containing that does something to the effect of on
this date in history -- pulling events from the Lord of the Rings.

%description -l pl.UTF-8
To jest obiektowo zorientowany moduł do konwertowania dat na kalendarz
Śródziemia, jaki został przedstawiony we "Władcy pierścieni" J. R. R.
Tolkiena. Zawiera konwersję czasu w formacie epoch na kalendarz
Śródziemia (i z powrotem), operatory porównań oraz metodę do
wypisywania sformatowanego ciągu zawierającego to, co zdarzyło się w
tym czasie - zdarzenia z "Władcy pierścieni".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%dir %{perl_vendorlib}/Date/Tolkien
%{perl_vendorlib}/Date/Tolkien/Shire.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Date-Tolkien-Shire.spec,v $
Revision 1.32  2008/07/27 22:32:06  arekm
- release 2

Revision 1.31  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.29  2006/07/27 16:47:29  glen
- generic URL, rel 1

Revision 1.28  2006/07/10 21:03:49  agaran
- up to 1.13, rel 0.1 builds here

Revision 1.27  2004/11/03 22:30:18  paladine
- formatting

Revision 1.26  2004/05/06 18:09:30  ankry
- fixed perl-devel BR

Revision 1.25  2004/04/25 00:17:23  ankry
- tests added

Revision 1.24  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.23  2003/09/09 10:24:33  ankry
- spaces -> tab

Revision 1.22  2003/08/18 08:08:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.21  2003/05/28 13:00:33  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.18  2003/03/01 18:05:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.17  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.16  2003/02/21 23:38:24  ankry
- autoupdated to 1.12

Revision 1.15  2003/02/18 22:57:27  ankry
- autoupdated to 1.11

Revision 1.14  2003/02/18 15:31:20  ankry
- massive attack: change CPAN URLs

Revision 1.13  2002/07/12 10:22:14  qboosh
- added missing dir, new %doc; release 6

Revision 1.12  2002/07/10 08:46:57  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.11  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.10  2002/02/25 10:30:35  depesz
- cleanup; revision++

Revision 1.9  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/13 14:11:02  depesz
- automatic: Source location unfied, Relase Up

Revision 1.7  2002/02/10 15:39:12  depesz
- adapterized

Revision 1.6  2002/01/18 02:14:15  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/12 09:28:01  qboosh
- pl translations

Revision 1.4  2001/11/28 15:20:15  mis
- buildarch noarch; release++

Revision 1.3  2001/11/27 16:30:46  mis
- autoupdated to 1.01

Revision 1.2  2001/06/09 11:42:52  mis
- autoupdated to 1

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
